PIRL.Messenger

## Interface Message_Delivered_Listener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  Dispatcher, Kapellmeister, Local_Theater, Remote_Theater, Stage_Manager

    public interface Message_Delivered_Listener
    extends EventListener

A Message_Delivered_Listener defines the interface used to deliver a Message_Delivered_Event.

See Also:
  `Message_Delivered_Event`

### Method Summary

Methods
`Message` `Listener_Identity()` Get the identity of the listener.
`void` `Message_Delivered(Message_Delivered_Event event)` Deliver a Message_Delivered_Event.

### Method Detail

#### Message_Delivered

    void Message_Delivered(Message_Delivered_Event event)

Deliver a Message_Delivered_Event.

Parameters:
  `event` - The Message_Delivered_Event containing the Message to be delivered and a reference to the delivering Messenger.

#### Listener_Identity

    Message Listener_Identity()

Get the identity of the listener.

The Message is expected to contain at least the following parameters:

`Message.ACTION_PARAMETER_NAME`
  The value should be `Message.IDENTITY_ACTION`.
`Message.NAME_PARAMETER_NAME`
  The value should be the name by which the object is known.

Any additional parameters that provide identification information may also be included.

Returns:
  A Message containing parameters describing the identification of the Message_Delivered_Listener object.